Update Webhook
curl --request PUT \
--url https://ipos.dev.nowbookit.com/Webhooks/{event} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"webhookUrl": "<string>",
"securityKey": "<string>",
"securityToken": "<string>"
}
'import requests
url = "https://ipos.dev.nowbookit.com/Webhooks/{event}"
payload = {
"webhookUrl": "<string>",
"securityKey": "<string>",
"securityToken": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookUrl: '<string>', securityKey: '<string>', securityToken: '<string>'})
};
fetch('https://ipos.dev.nowbookit.com/Webhooks/{event}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "<string>",
"webhookUrl": "<string>",
"locationId": "<string>",
"errorMessage": "<string>"
}Outbound Webhooks
PUT /Webhooks/{event}
Update the URL or credentials for an existing webhook subscription.
PUT
/
Webhooks
/
{event}
Update Webhook
Update the URL or credentials for an existing webhook subscription.
Example 200 Response
string
required
Your API key
string
required
Must be
application/jsonstring
required
Event name. Valid values:
BOOKING_CREATED, BOOKING_UPDATED, GIFTCARDS_CREATED, GIFTCARDS_UPDATED, GIFTCARDS_CANCELLED, GIFTCARDS_REDEEMEDstring
required
New endpoint URL
string
Updated auth key
string
Updated auth token
curl --location --request PUT '[BASE_URL]/Webhooks/BOOKING_CREATED' \
--header 'X-API-KEY: your_api_key_here' \
--header 'Content-Type: application/json' \
--data '{ "webhookUrl": "https://your-system.com/webhooks/nbi/v2/booking-created" }'
{
"event": "BOOKING_CREATED",
"webhookUrl": "https://your-system.com/webhooks/nbi/v2/booking-created",
"locationId": "loc-9",
"errorMessage": null
}
| Status | Description |
|---|---|
200 | Subscription updated |
400 | API key not associated with a venue |
400 | No Venue Subscribed to your App. |
400 | Giftcard Webhook Request Failed Verification. |
401 | X-API-KEY missing or invalid |
404 | Webhook Subscription for event '{event}' was not found |
Authorizations
Headers
API Key authentication header
Path Parameters
The name of the event that the webhook subscription is being updated for.
Available options:
BOOKING_CREATED, BOOKING_UPDATED, GIFTCARDS_CREATED, GIFTCARDS_UPDATED, GIFTCARDS_CANCELLED, GIFTCARDS_REDEEMED Body
application/json
⌘I